import { FdoInventoryRecipe } from '@feedmepos/zod-inventory';
import type { RecipeDialogProps } from '../components/recipe-dialog/RecipeDialogProps';
export declare const useRecipeForm: import("pinia").StoreDefinition<"recipeForm", import("pinia")._UnwrapAll<Pick<{
    createRecipe: () => void;
    updateRecipe: (recipeToUpdate: FdoInventoryRecipe) => Promise<void>;
    deleteRecipe: (recipe: FdoInventoryRecipe) => void;
    recipeDialogProps: import("vue").Ref<RecipeDialogProps | undefined, RecipeDialogProps | undefined>;
    recipeViewLoading: import("vue").Ref<boolean, boolean>;
}, "recipeDialogProps" | "recipeViewLoading">>, Pick<{
    createRecipe: () => void;
    updateRecipe: (recipeToUpdate: FdoInventoryRecipe) => Promise<void>;
    deleteRecipe: (recipe: FdoInventoryRecipe) => void;
    recipeDialogProps: import("vue").Ref<RecipeDialogProps | undefined, RecipeDialogProps | undefined>;
    recipeViewLoading: import("vue").Ref<boolean, boolean>;
}, never>, Pick<{
    createRecipe: () => void;
    updateRecipe: (recipeToUpdate: FdoInventoryRecipe) => Promise<void>;
    deleteRecipe: (recipe: FdoInventoryRecipe) => void;
    recipeDialogProps: import("vue").Ref<RecipeDialogProps | undefined, RecipeDialogProps | undefined>;
    recipeViewLoading: import("vue").Ref<boolean, boolean>;
}, "createRecipe" | "updateRecipe" | "deleteRecipe">>;
